Name:          hunspell-en
Epoch:         1
Version:       2020.12.07
Release:       1mamba
Summary:       English (all) hunspell dictionaries
Group:         System/Internationalization
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wordlist.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/wordlist/speller/%{version}/hunspell-en_US-large-%{version}.zip
Source1:       http://downloads.sourceforge.net/project/wordlist/speller/%{version}/hunspell-en_AU-large-%{version}.zip
Source2:       http://downloads.sourceforge.net/project/wordlist/speller/%{version}/hunspell-en_CA-large-%{version}.zip
Source3:       http://downloads.sourceforge.net/project/wordlist/speller/%{version}/hunspell-en_GB-large-%{version}.zip
## svn co https://wordlist.svn.sourceforge.net/svnroot/wordlist/trunk wordlist
## tar czf hunspell-en-wordlist-2011025-src-svn.tar.gz wordlist
#Source0:       hunspell-en-wordlist-20110410-src-svn.tar.gz
#Source1:       http://en-gb.pyxidium.co.uk/dictionary/en_GB.zip
Patch0:        hunspell-en-2011025-mozilla_words.patch
Patch1:        hunspell-en-2011025-en_GB-singleletters.patch
Patch2:        hunspell-en-2011025-en_GB-two_initial_caps.patch
Patch3:        hunspell-en-2011025-en_US-strippedabbrevs.patch
Patch4:        hunspell-en-2011025-allow-non-typographical-marks.patch
Patch5:        hunspell-en-2011025-SI_and_IEC.patch
License:       BSD, LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: aspell
BuildRequires: hunspell
%ifnarch arm
BuildRequires: libQt5WebEngine
%endif
BuildRequires: zip
Requires:      %{name}_GB = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}_US = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}_AU = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}_CA = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
English (all) hunspell dictionaries

%package -n %{name}_GB
Group:         System/Libraries
Summary:       English (GB) hunspell dictionaries

%description -n %{name}_GB
English (GB) hunspell dictionaries

%package -n %{name}_US
Group:         System/Libraries
Summary:       English (US) hunspell dictionaries

%description -n %{name}_US
English (US) hunspell dictionaries

%package -n %{name}_AU
Group:         System/Libraries
Summary:       English (AU) hunspell dictionaries

%description -n %{name}_AU
English (AU) hunspell dictionaries

%package -n %{name}_CA
Group:         System/Libraries
Summary:       English (CA) hunspell dictionaries

%description -n %{name}_CA
English (CA) hunspell dictionaries

%prep
%setup -q -c -a1 -a2 -a3
sed -i "s:SET UTF8:SET UTF-8:g" *.aff
  
%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -dm755 %{buildroot}%{_datadir}/hunspell
install -m644 *.dic *.aff %{buildroot}%{_datadir}/hunspell

en_US_aliases="en_US"
en_GB_aliases="en_AG en_BS en_BW en_BZ en_DK en_GB en_GH en_HK en_IE en_IN en_JM en_NA en_NG en_NZ en_SG en_TT en_ZA en_ZW"
en_AU_aliases="en_AU"
en_CA_aliases="en_CA"

pushd %{buildroot}%{_datadir}/hunspell/
for lang in $en_US_aliases; do
  ln -s en_US-large.aff $lang.aff
  ln -s en_US-large.dic $lang.dic
done
for lang in $en_GB_aliases; do
  ln -s en_GB-large.aff $lang.aff
  ln -s en_GB-large.dic $lang.dic
done
for lang in $en_AU_aliases; do
  ln -s en_AU-large.aff $lang.aff
  ln -s en_AU-large.dic $lang.dic
done
for lang in $en_CA_aliases; do
  ln -s en_CA-large.aff $lang.aff
  ln -s en_CA-large.dic $lang.dic
done
popd

%ifnarch arm
# Install webengine dictionaries
install -d %{buildroot}%{_datadir}/qt/qtwebengine_dictionaries/
for _file in %{buildroot}%{_datadir}/hunspell/*.dic; do
  _filename=$(basename $_file)
   %{_libdir}/qt5/bin/qwebengine_convert_dict $_file %{buildroot}%{_datadir}/qt/qtwebengine_dictionaries/${_filename/\.dic/\.bdic}
done
%endif

# myspell symlinks
install -dm755 %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
for file in %{buildroot}%{_datadir}/hunspell/*; do
  ln -sv %{_datadir}/hunspell/$(basename $file) .
done
popd

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)

%files -n %{name}_GB
%defattr(-,root,root)
%{_datadir}/hunspell/en_*.aff
%{_datadir}/hunspell/en_*.dic
%{_datadir}/myspell/en_*.aff
%{_datadir}/myspell/en_*.dic
%exclude %{_datadir}/hunspell/en_AU*
%exclude %{_datadir}/hunspell/en_CA*
%exclude %{_datadir}/hunspell/en_US*
%exclude %{_datadir}/myspell/en_AU*
%exclude %{_datadir}/myspell/en_CA*
%exclude %{_datadir}/myspell/en_US*
%ifnarch arm
%{_datadir}/qt/qtwebengine_dictionaries/en_AG.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_BS.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_BW.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_BZ.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_DK.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_GB.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_GB-large.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_GH.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_HK.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_IE.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_IN.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_JM.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_NA.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_NG.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_NZ.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_SG.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_TT.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_ZA.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_ZW.bdic
%endif
%doc README_en_GB-large.txt

%files -n %{name}_US
%defattr(-,root,root)
%{_datadir}/hunspell/en_US*.aff
%{_datadir}/hunspell/en_US*.dic
%{_datadir}/myspell/en_US*.aff
%{_datadir}/myspell/en_US*.dic
%ifnarch arm
%{_datadir}/qt/qtwebengine_dictionaries/en_US-large.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_US.bdic
%endif
%doc README_en_US-large.txt

%files -n %{name}_AU
%defattr(-,root,root)
%{_datadir}/hunspell/en_AU*.aff
%{_datadir}/hunspell/en_AU*.dic
%{_datadir}/myspell/en_AU*.aff
%{_datadir}/myspell/en_AU*.dic
%ifnarch arm
%{_datadir}/qt/qtwebengine_dictionaries/en_AU-large.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_AU.bdic
%endif
%doc README_en_AU-large.txt

%files -n %{name}_CA
%defattr(-,root,root)
%{_datadir}/hunspell/en_CA*.aff
%{_datadir}/hunspell/en_CA*.dic
%{_datadir}/myspell/en_CA*.aff
%{_datadir}/myspell/en_CA*.dic
%ifnarch arm
%{_datadir}/qt/qtwebengine_dictionaries/en_CA-large.bdic
%{_datadir}/qt/qtwebengine_dictionaries/en_CA.bdic
%endif
%doc README_en_CA-large.txt

%changelog
* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 2020.12.07-1mamba
- automatic version update by autodist

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2019.10.06-1mamba
- update to 2019.10.06

* Sun Apr 10 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 20110410-1mamba
- update to 20110410

* Tue Jan 25 2011 gil <puntogil@libero.it> 2011025-1mamba
- update to 2011025

* Sat Jan 31 2009 gil <puntogil@libero.it> 20090131-1mamba
- package created by autospec
